---
id: protein-maps-proteins-directions
title: _ProteinMapsProteinsDirections
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type _ProteinMapsProteinsDirections {
  mappedBy(
    first: Int = 0
    offset: Int = 0
    orderBy: [_MapsProteinOrdering] = []
    filter: _MapsProteinFilter
  ): [_ProteinMapsProteins]
  protein(
    first: Int = 0
    offset: Int = 0
    orderBy: [_MapsProteinOrdering] = []
    filter: _MapsProteinFilter
  ): [_ProteinMapsProteins]
}
```

### Fields

#### `mappedBy` ([`[_ProteinMapsProteins]`](/docs/api/objects/protein-maps-proteins))

Field for the Protein node this MAPS [relationship](https://grandstack.io/docs/graphql-relationship-types) is coming from.

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_MapsProteinOrdering]`](/docs/api/enums/maps-protein-ordering))

- ##### `filter` ([`_MapsProteinFilter`](/docs/api/inputs/maps-protein-filter))

#### `protein` ([`[_ProteinMapsProteins]`](/docs/api/objects/protein-maps-proteins))

Field for the Protein node this MAPS [relationship](https://grandstack.io/docs/graphql-relationship-types) is going to.

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_MapsProteinOrdering]`](/docs/api/enums/maps-protein-ordering))

- ##### `filter` ([`_MapsProteinFilter`](/docs/api/inputs/maps-protein-filter))
